list.arraylist

## Class BaseArrayList

- java.lang.Object
- - list.listinterface.BaseList
  - - list.arraylist.BaseArrayList

- All Implemented Interfaces:
    BaseListInterface, CommonBase
  Direct Known Subclasses:
    LinearArrayList, QueueArrayList, StackArrayList

      abstract class BaseArrayList
      extends BaseList
      implements BaseListInterface

  Implementace základního dílčího seznamu, ze kterého jsou odvozeny děděním nebo kompozicí další typy seznamů.

  Popis: Seznam je implementován polem. Pole budeme plnit od vyšších indexů k nižším.

  Užití: nepoužívejte v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `first` Index prvního obsazeného prvku pole.
    `protected Element[]` | `store` Pole, kam umístíme prvky seznamu.

    - ### Fields inherited from class list.listinterface.BaseList

      `moveCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseArrayList(int aSize)` Vyrobí instanci třídy BaseArrayList.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getElement()` Vrátí hodnotu běžného prvku.
    `int` | `getSize()` Zjistí kapacitu seznamu.
    `void` | `moveFirst()` Učiní první běžným prvkem.
    `void` | `setElement(Element value)` Nastaví hodnotu běžného prvku do členu datové struktury.

    - ### Methods inherited from class list.listinterface.BaseList

      `getMoveCounter, remove, resetMoveCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface list.listinterface.BaseListInterface

      `remove`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getMoveCounter, resetMoveCounter`

- - ### Field Detail

    - #### store

          protected Element[] store

      Pole, kam umístíme prvky seznamu.

    - #### first

          protected int first

      Index prvního obsazeného prvku pole.

  - ### Constructor Detail

    - #### BaseArrayList

          public BaseArrayList(int aSize)

      Vyrobí instanci třídy BaseArrayList.

      Užití: zejména k inicializaci objektů typu StackArrayList

      Parameters:
        `aSize` - požadovaná kapacita seznamu

  - ### Method Detail

    - #### setElement

          public void setElement(Element value)

      Description copied from interface: `CommonBase`
      Nastaví hodnotu běžného prvku do členu datové struktury.

      Vyžaduje: not isEmpty

      Specified by:
        `setElement` in interface `CommonBase`
      Specified by:
        `setElement` in class `BaseList`
      Parameters:
        `value` - prvek, který má být uložen do členu

    - #### getElement

          public Element getElement()

      Description copied from interface: `CommonBase`
      Vrátí hodnotu běžného prvku.

      Vyžaduje: not isEmpty

      Specified by:
        `getElement` in interface `CommonBase`
      Specified by:
        `getElement` in class `BaseList`
      Returns:
        hodnota běžného prvku

    - #### moveFirst

          public void moveFirst()

      Učiní první běžným prvkem.

      Popis: nic nedělá, protože hlava seznamu je vždy běžný prvek nebo < High (store) (když seznam je prázdný).

      Specified by:
        `moveFirst` in interface `BaseListInterface`
      Specified by:
        `moveFirst` in class `BaseList`

    - #### getSize

          public int getSize()

      Description copied from interface: `BaseListInterface`
      Zjistí kapacitu seznamu. To jest max. možný počet prvků, které smějí být v seznamu.
      Specified by:
        `getSize` in interface `BaseListInterface`
      Specified by:
        `getSize` in class `BaseList`
      Returns:
        kapacita seznamu